Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# error.h File Reference

A C++ GLib error reporting class. More...

`#include <inti/stackobject.h>`
`#include <inti/utf-string.h>`
`#include <glib/gerror.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::G

## Detailed Description

A C++ GLib error reporting class.

GLib provides a standard method of reporting errors from a called function to the calling code. It's important to understand that this method is both a data type (the G::Error object) and a set of rules. If you use G::Error incorrectly, then your code will not properly interoperate with other code that uses G::Error, and users of your API will probably get confused.
Main Page - Footer